@echo off
rem *********** PSoC Creator Clean . Bat ****************************
rem Reference:  Preparing a PSoC Creator Project for Release
rem Reference:  JK-237
rem Reference:  Rev 1.4 - added *.cyacd for ARM build (JD 4-9-13)
rem Reference:  Rev 1.3 - added friendly user interface (JD 4-5-13)
rem Reference:  Rev 1.2 - corrected for bootloader false error msg (JD 4-1-13)
rem Reference:  Rev 1.1 - added DP8051 and CortexM3 to delete list (JD 3-25-13)
rem Filename:	PC_cleanup.bat
rem Purpose:	To clean up intermediate files from directory
rem Location:   Place in Design folder *.cydsn
rem ******************************************************************

echo Erase PSoC Creator and compiler auto generated files.

rem - Erase PSoC Creator auto generated directories and files
if exist ARM_GCC_441 rd /S /Q ARM_GCC_441
if exist Codegentemp rd /S /Q Codegentemp
if exist DP8051_Keil_903 rd /S /Q DP8051_Keil_903
if exist Backup rd /S /Q Backup
if exist Generated_Source rd /S /Q Generated_Source
if exist *.cyfit erase /Q *.cyfit
if exist *.rpt erase /Q *.rpt
if exist *.uvopt erase /Q *.uvopt
if exist *.uvproj erase /Q *.uvproj
if exist *.html erase /Q *.html
if exist *.svd erase /Q *.svd
if exist ComponentUpdateLog.txt erase /Q ComponentUpdateLog.txt

rem - Erase 8051 compiler auto generated files
if exist DP8051\DP8051_Keil_903\Debug\.deps rd /S /Q DP8051\DP8051_Keil_903\Debug\.deps
if exist DP8051\DP8051_Keil_903\Debug\*.obj erase /Q DP8051\DP8051_Keil_903\Debug\*.obj
if exist DP8051\DP8051_Keil_903\Debug\*.lst erase /Q DP8051\DP8051_Keil_903\Debug\*.lst
if exist DP8051\DP8051_Keil_903\Debug\*.log erase /Q DP8051\DP8051_Keil_903\Debug\*.log
if exist DP8051\DP8051_Keil_903\Debug\*.ihx erase /Q DP8051\DP8051_Keil_903\Debug\*.ihx
if exist DP8051\DP8051_Keil_903\Debug\*.lib erase /Q DP8051\DP8051_Keil_903\Debug\*.lib
if exist DP8051\DP8051_Keil_903\Debug\*.map erase /Q DP8051\DP8051_Keil_903\Debug\*.map
if exist DP8051\DP8051_Keil_903\Debug\*.omf erase /Q DP8051\DP8051_Keil_903\Debug\*.omf
if exist DP8051\DP8051_Keil_903\Debug\*.lnp erase /Q DP8051\DP8051_Keil_903\Debug\*.lnp
if exist DP8051\DP8051_Keil_903\Debug\*.deps erase /Q DP8051\DP8051_Keil_903\Debug\*.deps
if exist DP8051\DP8051_Keil_903\Debug\*.cyacd erase /Q DP8051\DP8051_Keil_903\Debug\*.cyacd
if exist DP8051\DP8051_Keil_903\Debug\*.txt erase /Q DP8051\DP8051_Keil_903\Debug\*.txt

rem - Erase ARM compiler auto generated files
if exist CortexM3\ARM_GCC_441\Debug\.deps rd /S /Q CortexM3\ARM_GCC_441\Debug\.deps
if exist CortexM3\ARM_GCC_441\Debug\*.cyacd erase /Q CortexM3\ARM_GCC_441\Debug\*.cyacd
if exist CortexM3\ARM_GCC_441\Debug\*.o erase /Q CortexM3\ARM_GCC_441\Debug\*.o
if exist CortexM3\ARM_GCC_441\Debug\*.lst erase /Q CortexM3\ARM_GCC_441\Debug\*.lst
if exist CortexM3\ARM_GCC_441\Debug\*.log erase /Q CortexM3\ARM_GCC_441\Debug\*.log
if exist CortexM3\ARM_GCC_441\Debug\*.ihx erase /Q CortexM3\ARM_GCC_441\Debug\*.ihx
if exist CortexM3\ARM_GCC_441\Debug\*.a erase /Q CortexM3\ARM_GCC_441\Debug\*.a
if exist CortexM3\ARM_GCC_441\Debug\*.map erase /Q CortexM3\ARM_GCC_441\Debug\*.map
if exist CortexM3\ARM_GCC_441\Debug\*.deps erase /Q CortexM3\ARM_GCC_441\Debug\*.deps
if exist CortexM3\ARM_GCC_441\Debug\*.txt erase /Q CortexM3\ARM_GCC_441\Debug\*.txt

echo For Bootloader projects you should keep the .hex and .elf files.
set /P answer=Do you want to erase the .hex and .elf files? (Yes/No) || set answer="No"
if /I "%answer%"=="Yes" goto :EraseFiles
if /I "%answer%"=="Y" goto :EraseFiles
goto:eof

:EraseFiles
rem - Erase 8051 and ARM compiler auto generated .hex and .elf files
rd /S /Q DP8051
rd /S /Q CortexM3

:eof
rem  END *************************************************************

